Public Attributes | List of all members
ams_c_handles_t Struct Reference
BLE Services » Apple Media Service Client (AMS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <ams_c.h>`

## Public Attributes
uint16_t | ams_srvc_start_handle
| AMS Service start handle. More...
uint16_t | ams_srvc_end_handle
| AMS Service end handle. More...
uint16_t | ams_cmd_handle
| AMS Service remote command handle. More...
uint16_t | ams_cmd_cccd_handle
| AMS Service remote command cccd handle. More...
uint16_t | ams_attr_update_handle
| AMS Service update attribute handle. More...
uint16_t | ams_attr_update_cccd_handle
| AMS Service update attribute cccd handle. More...
uint16_t | ams_attr_display_handle
| AMS Service complete attribute display handle. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 204 of file ams_c.h.

## Member Data Documentation

## ◆ ams_attr_display_handle

uint16_t ams_c_handles_t::ams_attr_display_handle

AMS Service complete attribute display handle.

Definition at line 212 of file ams_c.h.

## ◆ ams_attr_update_cccd_handle

uint16_t ams_c_handles_t::ams_attr_update_cccd_handle

AMS Service update attribute cccd handle.

Definition at line 211 of file ams_c.h.

## ◆ ams_attr_update_handle

uint16_t ams_c_handles_t::ams_attr_update_handle

AMS Service update attribute handle.

Definition at line 210 of file ams_c.h.

## ◆ ams_cmd_cccd_handle

uint16_t ams_c_handles_t::ams_cmd_cccd_handle

AMS Service remote command cccd handle.

Definition at line 209 of file ams_c.h.

## ◆ ams_cmd_handle

uint16_t ams_c_handles_t::ams_cmd_handle

AMS Service remote command handle.

Definition at line 208 of file ams_c.h.

## ◆ ams_srvc_end_handle

uint16_t ams_c_handles_t::ams_srvc_end_handle

AMS Service end handle.

Definition at line 207 of file ams_c.h.

## ◆ ams_srvc_start_handle

uint16_t ams_c_handles_t::ams_srvc_start_handle

AMS Service start handle.

Definition at line 206 of file ams_c.h.

The documentation for this struct was generated from the following file:

- ams_c.h